Buscar
 
 

Resultados por:
 


Rechercher Búsqueda avanzada

Navegación
 Índice
 Wiki
 FAQ del foro
 FAQ del VDR-NG-EM
 Funcionalidades del VDR
 Mejoras del VDR-NG-EM
 Primeros pasos FW-VDR
 Descargas VDR-NG-EM
Flujo RSS


Yahoo! 
MSN 
AOL 
Netvibes 
Bloglines 



¡no me compila! ¿alguien con ubuntu 9.04?

Ver el tema anterior Ver el tema siguiente Ir abajo

[solucionado] ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por gigatron el Mar 26 Mayo 2009 - 15:27

He probado a compilar a mano (como venía haciendo), con el script de garbas, pero las dos cosas se quedan en el último proceso, el de compilación, en este error:

make[1]: se sale del directorio `/home/sito/VDR-NG-EM/VDR-NG-FW/build/uClibc-0.9.30.1'
make[1]: *** [extra/locale/c8tables.h] Error 1
make: *** [/home/sito/VDR-NG-EM/VDR-NG-FW/m7x0_xtc_uclibc_Linux-i686/stagefiles/.uclibc_headers_installed] Error 2



Más arriba, también hay estos otros mensajes de error:

/bin/sh: mips-linux-uclibc-gcc: command not found
make[2]: mips-linux-uclibc-gcc: Command not found
make[2]: mips-linux-uclibc-gcc: Command not found
gcc -DCURSES_LOC="" -DLOCALE -MM *.c > .depend 2>/dev/null || :
/bin/sh: mips-linux-uclibc-gcc: command not found
make[2]: mips-linux-uclibc-gcc: Command not found
make[2]: mips-linux-uclibc-gcc: Command not found
gcc -DCURSES_LOC="" -DLOCALE -c conf.c -o conf.o
gcc -DCURSES_LOC="" -DLOCALE -c kxgettext.c -o kxgettext.o
cat zconf.tab.c_shipped > zconf.tab.c
cat lex.zconf.c_shipped > lex.zconf.c
cat zconf.hash.c_shipped > zconf.hash.c
gcc -DCURSES_LOC="" -DLOCALE -I. -c zconf.tab.c -o zconf.tab.o
gcc -DCURSES_LOC="" -DLOCALE conf.o zconf.tab.o -lncurses -o conf
GEN include/bits/uClibc_config.h
#
# configuration written to .config
#
/bin/sh: mips-linux-uclibc-gcc: command not found
make[2]: mips-linux-uclibc-gcc: Command not found
make[2]: mips-linux-uclibc-gcc: Command not found



¿alguien sabe qué pasa? ¿culpa de ubuntu jaunty?


Última edición por gigatron el Jue 28 Mayo 2009 - 15:28, editado 1 vez
avatar
gigatron
Betatester

Cantidad de envíos : 412
Fecha de inscripción : 03/07/2008
Edad : 36

Ver perfil de usuario http://www.nosolopixel.com

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por Posix el Mar 26 Mayo 2009 - 15:59

Hace poco tiempo se añadió esto en la Wiki:

en algunas distribuciones como Ubuntu 8.10 también hace falta instalar el paquete "language-pack-en"
No se si puede tener relación.

_________________
VDR-NG-EM 0.7 R1084 - WD Elements 1TB ext3
VDR-NG-EM 0.7 R1048 - WD Elements 250GB ext3
swap, samba, VPN, mediatomb, uShare, nfsd
avatar
Posix
Desarrollador

Cantidad de envíos : 691
Fecha de inscripción : 05/11/2008
Edad : 50
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por jb el Mar 26 Mayo 2009 - 19:30

Yo tengo la 9.04 y no tengo problemas, lo que ya no se es si hace falta algún paquete especial como el que comenta Posix.
avatar
jb
Betatester

Cantidad de envíos : 1192
Fecha de inscripción : 16/11/2008
Edad : 48
Localización : Lérida y Zaragoza

Ver perfil de usuario

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por yeahhh el Mar 26 Mayo 2009 - 22:57

Yo lo que hago es NO utilizar el gcc 3.4 como se indica en la wiki.
avatar
yeahhh
Betatester

Cantidad de envíos : 2260
Fecha de inscripción : 18/08/2008
Edad : 39
Localización : Barcelona

Ver perfil de usuario

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por garbas el Miér 27 Mayo 2009 - 8:14

Prueba a "reconfigurar las locales":

Código:
sudo aptitude install locales
sudo dpkg-reconfigure locales

garbas
Betatester

Cantidad de envíos : 101
Fecha de inscripción : 18/09/2008
Edad : 42

Ver perfil de usuario

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por gigatron el Jue 28 Mayo 2009 - 15:24

deciros que efectivamente así se soluciona.

Lo que pasa es que lo hice en el pequeñín (el asus eee 901), y además de que estuvo la friolera de tres horas en el proceso, no me fío mucho del .ofi que ha generado, ya que durante el proceso he visto algunos errores, y los plugins o no me los ha descargado todos, o no sé, pero al hacer make-plugins no aparece por ningún lado el mp3, así que de momento, hasta que no lo haga en el otro ordenador (que también tiene ubuntu), queda en suspenso la cosa.

Pero gracias a todos.
avatar
gigatron
Betatester

Cantidad de envíos : 412
Fecha de inscripción : 03/07/2008
Edad : 36

Ver perfil de usuario http://www.nosolopixel.com

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por homerlinux el Vie 18 Sep 2009 - 1:41

A mi tampoco, también con ubuntu 9.04 siguiendo la wiki, pero con este error:

/usr/bin/gcc-3.4 -c -g -O2 -DIN_GCC -DCROSS_DIRECTORY_STRUCTURE -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wcast-qual -Wold-style-definition -Wmissing-format-attribute -DHAVE_CONFIG_H -DGENERATOR_FILE -I. -Ibuild -I/home/mim/VDR-NG-EM/VDR-NG-FW/build/gcc-4.4.1/gcc -I/home/mim/VDR-NG-EM/VDR-NG-FW/build/gcc-4.4.1/gcc/build -I/home/mim/VDR-NG-EM/VDR-NG-FW/build/gcc-4.4.1/gcc/../include -I/home/mim/VDR-NG-EM/VDR-NG-FW/build/gcc-4.4.1/gcc/../libcpp/include -I/home/mim/VDR-NG-EM/VDR-NG-FW/build/gcc-4.4.1/gcc/../libdecnumber -I/home/mim/VDR-NG-EM/VDR-NG-FW/build/gcc-4.4.1/gcc/../libdecnumber/dpd -I../libdecnumber -o build/genmodes.o /home/mim/VDR-NG-EM/VDR-NG-FW/build/gcc-4.4.1/gcc/genmodes.c
/home/mim/VDR-NG-EM/VDR-NG-FW/m7x0_xtc_uclibc_Linux-i686/bin/mips-linux-uclibc-as: unrecognized option '-Qy'


y efectivamente el comando mips-linux-uclibc-as no parece tener esa opción (--help).

¿es a mi solo?
avatar
homerlinux
Betatester

Cantidad de envíos : 77
Fecha de inscripción : 12/02/2009
Localización : Murcia

Ver perfil de usuario

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por homerlinux el Vie 18 Sep 2009 - 3:01

homerlinux escribió:A mi tampoco, también con ubuntu 9.04 siguiendo la wiki, pero con este error:

/home/mim/VDR-NG-EM/VDR-NG-FW/m7x0_xtc_uclibc_Linux-i686/bin/mips-linux-uclibc-as: unrecognized option '-Qy'


y efectivamente el comando mips-linux-uclibc-as no parece tener esa opción (--help).

¿es a mi solo?

Me respondo,
con gcc-4.3.3 está progresando más... (aunque contradice la wiki). mañana comentaré como ha ido.
avatar
homerlinux
Betatester

Cantidad de envíos : 77
Fecha de inscripción : 12/02/2009
Localización : Murcia

Ver perfil de usuario

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por homerlinux el Vie 18 Sep 2009 - 9:03

homerlinux escribió:
con gcc-4.3.3 está progresando más... (aunque contradice la wiki). mañana comentaré como ha ido.

Pues no. Me acabo de levantar y veo que ha vuelto a cascar por el mismo sitio. Así que me falla con gcc-3.2 y gcc-4.3.3.

¿alguna idea de por qué ocurre esto? Tengo instalados los paquetes de la wiki y regenerados los locales, incluidos los de inglés.

Saludos
avatar
homerlinux
Betatester

Cantidad de envíos : 77
Fecha de inscripción : 12/02/2009
Localización : Murcia

Ver perfil de usuario

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por homerlinux el Vie 18 Sep 2009 - 21:49

Solucionado mi problema.

Por si a alguien más le pasa (que lo dudo), debo tener algun permiso restrictivo en mis librerias instaladas, que hace que el autoconf / automake se lien. Solución chapucera, hacer el make del firmware con sudo:

sudo ./make-fw

(ya se que esto no debería ser así, pero en mi máquina es lo que hay)

Saludos.
avatar
homerlinux
Betatester

Cantidad de envíos : 77
Fecha de inscripción : 12/02/2009
Localización : Murcia

Ver perfil de usuario

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por pjllaneras el Sáb 19 Sep 2009 - 13:04

Mi problema ha sido otro con Ubuntu 9.04 (Error compilación en linux 64 bits), pero no he tenido que compilar con sudo.

Cosas extrañas que pasan.
avatar
pjllaneras
Betatester

Cantidad de envíos : 569
Fecha de inscripción : 29/01/2009
Edad : 45
Localización : Palma de Mallorca

Ver perfil de usuario

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por yeahhh el Jue 15 Oct 2009 - 21:55

Yo estoy con ubuntu 9.10 beta, he conseguido meter el gcc 3.4 pero llega un punto que me dice esto:

scripts/Configure: línea 546: .: .config: no se encontró el fichero
scripts/Configure: línea 548: .: .config-is-not.2846: no se encontró el fichero
*
* Code maturity level options
*
Prompt for development and/or incomplete code/drivers (CONFIG_EXPERIMENTAL) [N/y/?] (NEW)

Es problema de ubuntu o del SVN?
avatar
yeahhh
Betatester

Cantidad de envíos : 2260
Fecha de inscripción : 18/08/2008
Edad : 39
Localización : Barcelona

Ver perfil de usuario

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por bittor el Vie 16 Oct 2009 - 8:46

Creo que te falta el .config
avatar
bittor
Desarrollador

Cantidad de envíos : 3632
Fecha de inscripción : 25/06/2008
Localización : Zaragoza

Ver perfil de usuario http://bittor7x0.googlepages.com

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por yeahhh el Vie 16 Oct 2009 - 8:49

Pues la compilación la he hecho como siempre
Siguiendo la wiki... que raro no?
avatar
yeahhh
Betatester

Cantidad de envíos : 2260
Fecha de inscripción : 18/08/2008
Edad : 39
Localización : Barcelona

Ver perfil de usuario

Volver arriba Ir abajo

Re: ¡no me compila! ¿alguien con ubuntu 9.04?

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba


 
Permisos de este foro:
No puedes responder a temas en este foro.